Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Invoice
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
      GET
    • Create invoice
      POST
    • Retrieve invoice
      GET
    • Update invoice
      PUT
    • Delete invoice
      DELETE
    • Refund invoice
      POST
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Invoice

Update invoice

PUT
/v1/invoices/{unique_id}
Updates an existing invoice by unique_id. Use this to adjust payment dates, notification behavior, payment method, invoice documents, or recurring configuration before the invoice is deactivated.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/v1/invoices/XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": 12500,
    "due_date": "2022-10-09",
    "last_payment_date": "2022-12-30",
    "phone": "+37263256604",
    "currency": "NOK",
    "invoice_url": "https://www.example.com",
    "pdf_content": "base64 encoded pdf content",
    "pdf_url": "https://www.url-to-pdf.com",
    "payment_method": "Bank transfer",
    "paid_at": "2022-10-10 09:15:47",
    "deleted_at": "2022-10-30",
    "redirect_url": "https://www.redirect-url.com",
    "cancel_url": "https://google.com",
    "notify_customer": true,
    "language": "en",
    "name": "Jim Smith",
    "email": "jimsmith@example.com"
}'
Response Response Example
200 - response
{
    "data": {
        "unique_id": "XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1",
        "account_id": 1,
        "invoice_id": "10000",
        "amount": 12500,
        "customer_id": "51220",
        "customer_reference": "PO-88231",
        "name": "Jim Smith",
        "email": "jimsmith@example.com",
        "phone": "+37263256604",
        "currency": "NOK",
        "notify_customer": true,
        "reminded": false,
        "payment_method": "Bank transfer",
        "opened": 0,
        "language": "en",
        "redirect_url": "https://www.customershop.com/controlpanel",
        "cancel_url": "https://google.com",
        "due_date": "2021-04-09T00:00:00",
        "last_payment_date": "2022-04-24T00:00:00",
        "paid_at": "2021-04-01T09:15:47",
        "created_at": "2021-03-29T09:32:25",
        "updated_at": "2021-03-29T09:39:39",
        "deleted_at": null,
        "deactivated_at": null,
        "refunded_at": null,
        "is_recurring": false,
        "payment_url": "https://pay.amili.no/pay-invoice/XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1"
    }
}
Modified at 2026-09-25 07:15:05
Previous
Retrieve invoice
Next
Delete invoice
Built with